Bug 71643 - ghostscript-fonts puts fonts where Xft2 can see them
ghostscript-fonts puts fonts where Xft2 can see them
Product: Red Hat Public Beta
Classification: Retired
Component: ghostscript-fonts (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-08-15 22:20 EDT by Marc Deslauriers
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-19 23:45:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Deslauriers 2002-08-15 22:20:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
The /usr/share/fonts directory where ghostscript-fonts puts it's fonts is in
Xft2's path. This results in the Hershey fonts being available in gtk2 apps. The
Hershey fonts are unreadable with Xft2. Also, URW Antiqua and URW Grotesk from
the same package seem to be broken with Xft2 also (they both display as "sans").

Can these fonts be moved somewhere where Xft2 won't pick them up?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Go to preferences/font
2.Click on "Application Font"

Actual Results:  The "Hershey" fonts are unreadable. URW Antiqua and URW Grotesk
display as "sans". The other ghostscript fonts are similar in appearance to
other fonts available.

Expected Results:  Not seeing those fonts there.

Additional info:
Comment 1 Tim Waugh 2002-08-21 10:43:09 EDT
This has a high risk of breaking something.  Deferring until next time round.

Note You need to log in before you can comment on or make changes to this bug.